const mockfs = require('mock-fs');
const { stripIndent } = require('common-tags');
const { Keyset } = require("@bem/sdk.keyset");

mockfs({
    'src/features/Time/Time.i18n': {
        'ru.js': stripIndent`
            export const ru = {
                'Time difference': 'Разница "во" времени',
                '{count} minute': {
                    'one': '{count} минута',
                    'some': '{count} минуты',
                    'many': '{count} минут',
                    'none': 'нет минут',
                },
            };
        `,
        'en.js': stripIndent`
            export const en = {
                'Time difference': 'Time difference',
                '{count} minute': {
                    'one': '{count} minute',
                    'some': '{count} minutes',
                    'many': '{count} minutes',
                    'none': 'none',
                },
            };
        `
    }
});

const keyset = new Keyset('Time', 'src/features/Time/Time.i18n');
await keyset.load();

keyset.langs;;
